1. Video Translation
Zebracat Api Docs
  • Quick Start
  • API Key Management
    • List API Keys
      GET
    • Create API Key
      POST
    • Get API Key
      GET
    • Delete API Key
      DELETE
  • Billing
    • Get Balance & Purchase History
      GET
    • Purchase Credits
      POST
    • Get Usage
      GET
    • Get Usage Detail
      GET
  • Avatars
    • List Avatars
      GET
  • Brands
    • List Brands
      GET
    • Create Brand
      POST
    • Update Brand
      PUT
    • Partial Update Brand
      PATCH
    • Delete Brand
      DELETE
  • AI Characters
    • List Characters
      GET
    • Create Character
      POST
    • Suggest Character
      POST
    • Get Character
      GET
    • Update Character
      PUT
    • Partial Update Character
      PATCH
    • Delete Character
      DELETE
  • Image Generation
    • Generate AI Image
  • Videos
    • List Latest Videos
  • Music
    • List Music
    • Search Music
  • Projects
    • Rename Project
    • Delete Project
  • Scheduling
    • Connect Platform
    • Connected Platforms
    • Disconnect Platform
    • Create Post
    • List Posts
    • Get Post
    • Delete Post
  • Script Generation
    • Generate Voice-Over Script
  • Templates
    • List Templates
  • Agents
    • Agentic Video Generation
  • Video Generation
    • Audio to Video
    • Blog/URL to Video
    • Idea to Video
    • List Prompt Styles
    • Script to Video
    • Get Video Task Status
  • Video Translation
    • List Languages
      GET
    • Translate Video
      POST
  • Visual Styles
    • List Visual Styles
    • Create Visual Style
    • Activate Visual Style
    • Delete Visual Style
  • Voices
    • List Cloned Voices
    • Clone a Voice
    • List Voices
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Get Webhook
    • Delete Webhook
  • Schemas
    • RequestBodies
      • activate_visual_styleData
    • APIKey
    • APIKeyCreate
    • Avatar
    • Brand
    • Character
    • ConnectPlatform
    • ConnectedPlatformsResponse
    • DisconnectPlatform
    • PostContent
    • PostResult
    • BulkPostResponse
    • SchedulingList
    • Template
    • Webhook
    • WebhookCreate
  1. Video Translation

List Languages

GET
https://api.zebracat.ai/v1/video/languages
Video Translation
List all available languages with their default and premium voice configurations

Request

None

Responses

🟢200
application/json
Dictionary of languages keyed by language ID
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zebracat.ai/v1/video/languages'
Response Response Example
{
    "property1": {
        "language": "string",
        "voice_id": "string",
        "name": "string",
        "accent": "string",
        "voice_generator_api": "string",
        "voice_gender": "string",
        "premium_voice_id": "string",
        "premium_name": "string",
        "premium_accent": "string",
        "premium_voice_generator_api": "string",
        "premium_voice_gender": "string"
    },
    "property2": {
        "language": "string",
        "voice_id": "string",
        "name": "string",
        "accent": "string",
        "voice_generator_api": "string",
        "voice_gender": "string",
        "premium_voice_id": "string",
        "premium_name": "string",
        "premium_accent": "string",
        "premium_voice_generator_api": "string",
        "premium_voice_gender": "string"
    }
}
Previous
Get Video Task Status
Next
Translate Video
Built with